/*
 * @author lsy
 * @date   2019-10-14
 **/

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';
import 'package:gmalpha_flutter/res/anim/Anim.dart';
import 'package:gmalpha_flutter/userModel/page/comment/CommentSuggestPage.dart';
import 'package:gmalpha_flutter/userModel/page/country/CountryPage.dart';

void jumpToComment(BuildContext context, String refer) {
  Navigator.push(context, new CustomRoute(CommentSuggestPage(refer)));
}

Future jumpToCamera(BuildContext context, String refer, String provider,
    bool showCamera, int bigSelectImage, List<String> selectedImages) {
  return Navigator.push(
      context,
      CustomRoute(RouterCenterImpl().findAlbumRouter()?.getAlbumPage(
          provider, showCamera, bigSelectImage, selectedImages, false, refer)));
}

Future jumpToCountry(BuildContext context, String refer) {
  return Navigator.push(context, CustomRoute(CountryPage(refer)));
}
